// 
// ENCODER MOTOR - STEP - FULL CIRCLE
//
int mot1 = 8; 
int mot2 = 9; 
int led1 = 4; 
int sen1 = A0; 
int tip1 = A2; 
int pw = 11; // power electronic
int br = 0;
int steps = 69;
void setup() {
  Serial.begin(9600);                
  pinMode(mot1, OUTPUT); 
  pinMode(mot2, OUTPUT); 
  pinMode(led1, OUTPUT);  
  pinMode(pw, OUTPUT);  
  pinMode(sen1, INPUT); 
  digitalWrite(mot1, LOW); 
  digitalWrite(mot2, LOW); 
  digitalWrite(led1, LOW);   
  digitalWrite(pw, HIGH);  
}
void loop() {
  if (digitalRead(tip1) == LOW) // START
  {
    br = 0;
    delay(100); // BECAUSE OF DOUBLE READ
    digitalWrite(led1, HIGH);
    analogWrite(mot1, 90); // SLOW
  }
  Serial.println(br);
  if (digitalRead(sen1) == 1 && br < (steps + 1))
  {
    br = br + 1;
    delay(10); // BECAUSE OF DOUBLE READ
  }
  if (br > steps)
  {  
  digitalWrite(led1, LOW);
  digitalWrite(mot1, LOW);  
  }
}
